
%define with_doc 1
%{?_with_doc: %{expand: %%global with_doc 1}}

Name:       fprintd
Version:    0.5.1
Release:    %mkrel 2
Summary:    D-Bus service for Fingerprint reader access

Group:      System/Kernel and hardware
License:    GPLv2+
Source0:    http://people.freedesktop.org/~hadess/fprintd-%{version}.tar.xz
Patch0:     0001-data-Fix-syntax-error-in-fprintd.pod.patch
Url:        http://www.freedesktop.org/wiki/Software/fprint/fprintd

BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(gio-2.0) >= 2.26
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(libfprint) > 0.1.0
BuildRequires: pkgconfig(polkit-gobject-1) >= 0.91
BuildRequires:  pam-devel
BuildRequires:	gettext-devel
%if %{with_doc}
BuildRequires:  gtk-doc
%endif
BuildRequires:  intltool

%description
D-Bus service to access fingerprint readers.

%files -f %name.lang
%doc README COPYING AUTHORS TODO
%{_bindir}/fprintd-*
%{_libexecdir}/fprintd
# FIXME This file should be marked as config when it does something useful
%{_sysconfdir}/fprintd.conf
%{_sysconfdir}/dbus-1/system.d/net.reactivated.Fprint.conf
%{_prefix}/lib/systemd/system/fprintd.service
%{_datadir}/dbus-1/system-services/net.reactivated.Fprint.service
%{_datadir}/polkit-1/actions/net.reactivated.fprint.device.policy
%{_localstatedir}/lib/fprint
%_mandir/man1/fprintd.*

#--------------------------------------------------------------------

%package    pam
Summary:    PAM module for fingerprint authentication
Requires:   %{name} = %{version}-%{release}
# Note that we obsolete pam_fprint, but as the configuration
# is different, it will be mentioned in the release notes
Provides:   pam_fprint = %{version}-%{release}
Obsoletes:  pam_fprint < 0.2-5

Group:      System/Kernel and hardware
License:    GPLv2+

%description pam
PAM module that uses the fprintd D-Bus service for fingerprint
authentication.

%files pam
%doc pam/README
/%{_lib}/security/pam_fprintd.so

#--------------------------------------------------------------------

%package devel
Summary:    Development files for %{name}
Requires:   %{name} = %{version}-%{release}
Requires:   gtk-doc
Group:      Development/Other
License:    GFDLv1.1+

%description devel
Development documentation for fprintd, the D-Bus service for
fingerprint readers access.

%files devel
%if %{with_doc}
%{_datadir}/gtk-doc/html/fprintd
%endif
%{_datadir}/dbus-1/interfaces/net.reactivated.Fprint.Device.xml
%{_datadir}/dbus-1/interfaces/net.reactivated.Fprint.Manager.xml

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%apply_patches

autoreconf -i -f

%if %{with_doc}
#%__cp doc/fprintd-sections.txt doc/html-sections.txt
%endif

%build

%configure2_5x --disable-static \
%if %{with_doc}
           --enable-gtk-doc \
%endif
           --enable-pam --libdir=/%{_lib}/

make

%install
%makeinstall_std
mkdir -p %{buildroot}/%{_localstatedir}/lib/fprint

rm -f %{buildroot}/%{_lib}/security/pam_fprintd.{a,la,so.*}
%find_lang %name


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.5.1-2.mga4
+ Revision: 534395
- Mageia 4 Mass Rebuild

  + fwang <fwang>
    - use xz tarball

* Thu Sep 12 2013 fwang <fwang> 0.5.1-1.mga4
+ Revision: 477800
- new version 0.5.1

  + juancho <juancho>
    - Rediffed last dropped patch (fix error with pod2man build) to work with latest version.
    - New version 0.5.0

* Fri Jan 11 2013 umeabot <umeabot> 0.4.1-2.mga3
+ Revision: 350799
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 fwang <fwang> 0.4.1-1.mga3
+ Revision: 328080
- add more req

* Sat Aug 27 2011 tv <tv> 0.4.1-1.mga2
+ Revision: 135643
- fix file list
- drop merged patch
- rediff patch 4
- new release
- new URL

* Mon Feb 07 2011 mikala <mikala> 0.1-1.git04fd09cfa.5.mga1
+ Revision: 48753
- imported package fprintd


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1-1.git04fd09cfa.5mdv2011.0
+ Revision: 605215
- rebuild

* Mon Dec 28 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1-1.git04fd09cfa.4mdv2010.1
+ Revision: 482962
- Fix obsoletes

* Sun Dec 27 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1-1.git04fd09cfa.3mdv2010.1
+ Revision: 482677
- Fix groups
- this is not a noarch package
- build doc
- Fix install of libs
  Add a switch for the doc ( off for now )
- Fix Buildrequires in polkitx
- import fprintd


